SSS_OBFUSCATE(8)

NAME
sss_obfuscate - fördunkla ett klartextlösenord

SYNOPSIS

sss_obfuscate [flaggor] [LÖSENORD]

BESKRIVNING

sss_obfuscate konverterar ett givet lösenord till ett format oläsbart för människor och placerar det i det passande domänavsnittet av SSSD-konfigurationsfilen.

Klartextlösenordet läses från standard in eller skrivs interaktivt. Det fördunklade lösenordet läggs in i parametern “ldap_default_authtok” av en given SSSD-domän och parametern “ldap_default_authtok_type” sätts till “obfuscated_password”. Se sssd-ldap(5) för fler detaljer om dessa parametrar.

Observera att fördunklandet av lösenord ger ingen riktigt säkerhetsförbättring eftersom det fortfarande är möjligt för en anfallare att återskapa lösenordet. Det rekommenderas starkt att använda en bättre autentiseringsmekanism såsom klientsidecertifikat eller GSSAPI.

FLAGGOR

-h,--help
    Visa ett hjälpmeddelande och avsluta.

-s,--stdin
    Lösenordet att fördunkla kommer läsas från standard in.

-d,--domain DOMÄN
    SSSD-domäner att använda lösenordet i. Standardnamnet är “default”.

-f,--file FIL
    Läs konfigurationsfilen som anges av positionsparametern.

    Standard: /etc/sssd/sssd.conf

SE ÄVEN

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-ldap-attributes(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-idp(5), sssd-sudo(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(1), sss_ssh_knownhosts(1), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

SSSD uppströms – https://github.com/SSSD/sssd/